Diferencia entre revisiones de «Notas de Moodle 3.6»

Saltar a: navegación, buscar
(Updated as per 3.6 page)
(Updated as per 3.6 page)
Línea 12: Línea 12:
 
{{Nota|Si Usted está actualizando  desde una versión anterior, asegúrese de leer la documentación sobre [[Actualización de moodle]]. ''Particularmente, para sitios que usen un tema personalizado o un formato (formulario) para ingresar al sitio, a partir de Moodle 3.6 en adelante, el formato (formulario) para ingresar al sitio debe incluir un nuevo campo de token para ingreso. Vea [[Token para ingreso]] para los detalles.''}}
 
{{Nota|Si Usted está actualizando  desde una versión anterior, asegúrese de leer la documentación sobre [[Actualización de moodle]]. ''Particularmente, para sitios que usen un tema personalizado o un formato (formulario) para ingresar al sitio, a partir de Moodle 3.6 en adelante, el formato (formulario) para ingresar al sitio debe incluir un nuevo campo de token para ingreso. Vea [[Token para ingreso]] para los detalles.''}}
 
   
 
   
 +
{{Nota|Se le recomienda que use [[Notas de Moodle 3.6.1|Moodle 3.6.1]], ya que incluye una compostura para la regresión en mensajería.}}
 +
 
==Requisitos del servidor==
 
==Requisitos del servidor==
  

Revisión del 13:46 5 dic 2018

Nota: Esta es una traducción de una página de la documentación para desarrolladores (Developer docs), que se considera particularmente importante, y que en su versión original se actualiza frecuentemente. Por ello, se le recomienda que revise la página original en idioma inglés: Moodle 3.6 release notes.

Moodle 3.6


Historia de las versiones > Notas de Moodle 3.6

Fecha de liberación: 3 diciembre del 2018

Vea nuestra página de las Nuevas características de Moodle 3.6 para una introducción más amistosa al usuario, con imágenes, sobre Moodle 3.6.

Nota: Si Usted está actualizando desde una versión anterior, asegúrese de leer la documentación sobre Actualización de moodle. Particularmente, para sitios que usen un tema personalizado o un formato (formulario) para ingresar al sitio, a partir de Moodle 3.6 en adelante, el formato (formulario) para ingresar al sitio debe incluir un nuevo campo de token para ingreso. Vea Token para ingreso para los detalles.


Nota: Se le recomienda que use Moodle 3.6.1, ya que incluye una compostura para la regresión en mensajería.


Requisitos del servidor

Estas son solamente las versiones mínimas soportadas. Nosotros recomendamos mantener todo su software y su sistema operativo actualizados.

  • Actualización de Moodle: Moodle 3.1 o más reciente (si actualiza desde una versión más antigua, Usted debe primeramente de actualizar a 3.1 como un primer paso)
  • Versión de PHP: minimo PHP 7.0.0 (¡importante! la versión mínima de PHP se ha incrementado desde Moodle 3.3). PHP 7.1.x y 7.2.x están soportados. El soporte para PHP 7.3.x está siendo implementado (@ MDL-63420) y aun no está listo para producción con esta versión.
  • La extensión PHP intl ahora es necesaria desde Moodle 3.4 (era recomendada a partir de Moodle 2.0 en adelante)
  • (Recomendación solamente) Si Usted usa MySQL o MariaDB, asegúrese de que su base de datos soporta completamente UTF-8 (utf8mb4) si instala una nueva instancia de Moodle. Puede usarse el script de la interfaz por línea de comando para convertir a utf8mb4 si Usted está actualizando Moodle. Debe elegir mantener en uso 'utf8_*', pero entonces una advertencia le mostrará que la base de datos no está usandosoporte completo para UTF-8 y le sugerirá moverse a 'utf8mb4_unicode_ci'. Vea MySQL soporte unicode completo para los detalles . Si Usted habilita utf8mb4 Usted *debe de* usar el formato de archivo Barracuda.

Requisitos de la BasedeDatos

Moodle soporta los siguientes servidores de Base de Datos. Una vez más, los números de las versiones son las versiones mínimas soportadas. Nosotros recomendamos correr la versión estable más reciente de cualquier software.

BasedeDatos Versión mínima Recomendada
PostgreSQL 9.4 La más reciente
MySQL 5.6 La más reciente
MariaDB 5.5.31 La más reciente
Microsoft SQL Server 2008 La más reciente
Oracle Database 11.2 La más reciente

Requisitos del cliente

Soporte para Navegador

Moodle es compatible con cualquier navegador de Internet que cumpla con los estándares actuales. Nosotros regularmente probamos Moodle con los siguientes navegadores:

PC de escritorio:

  • Chrome
  • Firefox
  • Safari
  • Edge
  • Internet Explorer

Mobile:

  • MobileSafari
  • Google Chrome

Para la mejor experiencia y seguridad óptima, nosotros recomendamos que Usted mantenga actualizado su navegador. https://whatbrowser.org

Nota: Navegadores antiguos que tienen problemas conocidos de compatibilidad con Moodle 3.x:

  • Internet Explorer 10 e inferiores
  • Safari 7 e inferiores

Características principales

Vista General del Tablero y del Curso

GDPR y Privacidad

Tenga en cuenta que algunas de estas mejoras para GDPR también han sido realizadas a Moodle 3.5.3, 3.4.6 y 3.3.9.

  • MDL-63116 - Acciones masivas para solicitudes de datos
  • MDL-62309 - Opción para hacer ´políticas del sitio obligatorias u opcionales
  • MDL-61652 - Capacidades para controlar quien puede descargar datos SAR
  • MDL-62563 - Eliminación de datos de usuarios eliminados existentes
  • MDL-63897 - Etapa de pre-procesamiento eliminada del proceso de solicitudes de datos
  • MDL-62558 - Resumen de retención de datos (solo-lectura)
  • MDL-63726 - Opción para quitar el enlace hacia el "Resumen de retención de datos" en el pie de página
  • MDL-62491 - Formato para exportar solicitudes de datos en HTML
  • MDL-63401 - Mejoras a la expiración de usuario
  • MDL-63619 - Mejoras a herencia de propósito y categoría
  • MDL-62560 - Estrategias diferentes de retención de datos para diferentes roles en un propósito
  • MDL-62554 - Habilidad para configurar el registro de datos para que use tipos de módulo por defecto
  • MDL-63009 - Sitio mencionado en notificaciones por Email de solicitudes de datos
  • MDL-6074 - Opción para ocultar su nombre en el Bloque de usuarios en línea

Mensajería

Tarea

  • MDL-27520 - La retroalimentación de Tarea puede incluir medios u otros archivos

Examen

  • MDL-62610 - Usabilidad mejorada del reporte de estadísticas del examen para preguntas aleatorizadas
  • MDL-62708 - Opción para añadir número ID a preguntas y categorías de pregunta
  • MDL-63738 - Las preguntas individuales pueden ser exportadas desde el Banco de preguntas

Taller

  • * MDL-60820 - Los profesores pueden especificar tipos de envío del Taller

Repositorios

Insignias abiertas

Desempeño

  • MDL-54035 - Mejoras del desempeño para cachear señalizaciones
  • MDL-47962 - Mejoras al desempeño del filtro de Auto-enlace al Glosario

Mejoras en Usabilidad

  • MDL-51177 - atto_htmlplus implementado para mejorar la indentación en el Editor Atto
  • MDL-45170 - Copiado y pegado de imágenes desde una ventana WYSIWYG hacia otra
  • MDL-61388 - Acciones de foro anunciadas por lector de pantalla cuando son completadas
  • MDL-62899 - Búsqueda global muestra un ícono relevante junto a enlace en resultados
  • MDL-46415 - Emoticones SVG/alta resolución
  • MDL-58000 - Se usan imágenes de insignias más grandes

Experimental

Otras características importantes

Cambios funcionales

  • MDL-17943 - Botón para 'Re-enviar Email de confirmación' en página para ingresar al sitio
  • MDL-14274 - Condiciones IF en cálculo de calificaciones
  • MDL-37624 - Soporte para localización por países de entradas del calendario
  • MDL-36754 - Las imágenes son mostradas en Emails de notificaciones de foro
  • MDL-59259 - Las opciones del formato de curso pueden ser especificadas en el archivo CSV para subir cursos
  • MDL-41265 - Opción del recurso Página para mostrar/ocultar "Última modificación"
  • MDL-61378 - Mejoras a la estructura del HTML de publicaciones en foro
  • MDL-59454 - Opción para descargar la lista de los participantes del curso
  • MDL-60520 - Los modelos analíticos pueden usar diferentes backends de aprendizaje de máquina
  • MDL-61573 - Íconos de Font Awesome en el menú del usuario: mapa de customusermenuitems para carpetas que no sean pix/t
  • MDL-62320 - JSON añadido a la lista de tipos MIME por defecto
  • MDL-63431 - Soporte para atributo global de título del plugin Atto media
  • MDL-60435 - Proveedores de identidad de autenticación Shibboleth
  • MDL-59169 - Reporte del calificador se guarda después de editar con pestañas múltiples
  • MDL-62960 - Arrastrar y soltar de eventos del curso respeta la fecha de inicio del curso

Asuntos de seguridad

  • MSA-18-0020 Login CSRF vulnerability in login form. Tenga en cuenta que esta compostura ya ha sido publicitada previamente después de la liberación de Moodle 3.5.3, 3.4.6, 3.3.9 y 3.1.15.

Para administradores

  • MDL-62334 - Enlace para 'Añadir un nuevo curso' en la Administración del sitio
  • MDL-63253 - Los resultados de la búsqueda Admin proporcionan la localización de la página coincidente encontrada
  • MDL-63772 - Capacidad para controlar el uso de Grabación Atto RTC
  • MDL-63708 - Nuevos bloques soportados por la App mobile pueden ser deshabilitados
  • MDL-52953 - Deprecación de almacén heredado (antiguo) de bitácoras
  • MDL-59429 - Cambios en bitácora para administradores del sitio
  • MDL-62651 - ejecuto de trabajo ad-hoc
  • MDL-62777 - Actualizaciones del sitio mediante CLI muestran nuevas configuraciones por defecto
  • MDL-63603 - Rupias Hindúes añadidas a divisas para Inscripción por Paypal
  • MDL-60514 - Configurar Ruta hacia PHP CLI para mostrar 'Ejecutar ahora' para Trabajos agendados

Para desarrolladores

  • MDL-55188 - Deprecación final de API de Antiguos Eventos (Old Events API)
  • MDL-54741 - Fase 2 de deprecación de funciones en lib/deprecatedlib.php
  • MDL-51803 - Elemento re-usable para lista o tabla ordenable de elemento para arrastrar y soltar
  • MDL-63329 - remoción del manejador de sesión memcache
  • MDL-63658 - Nuevo subsistema de favoritos
  • MDL-63729 - Servicios web de insignias regresan nuevos campos y datos añadidos por la especificación Open Badges v2.0
  • MDL-50812 - core_useragent::get_browser_version_classes distingue entre diferentes navegadores

Actualización de API de Privacidad

Adicionalmente a los requisitos existentes, cualquier plugin que implemente la interfase de proveedor del plugin también debe implementar la interfase \core_privacy\local\request\core_userlist_provider interface. Dos nuevos métodos necesitan ser implementados:

Sin embargo, los dos métodos de arriba no son necesarios para plugins que implementan solamente el null_provider] (o sea, que no almacenan ningún dato personal). Tenga en cuenta que estos cambios también son requeridos para las versiones más recientes de Moodle 3.4.6 y 3.5.3.


Archivos del escenario de Behat

  • MDL-57281 - The behat step
    I navigate to "ITEM" node in "MAINNODE > PATH"
    has been deprecated and throws an exception with details on how to replace it. The recommended replacement steps work in all recent Moodle versions. The updated Behat will pass with Moodle 3.4 too.

Token para ingreso

Si su plugin proporciona un formato (formulario) alterno para ingreso al sitio (por ejemplo, si es que un tema reemplaza la plantilla / renderer del formato para ingreso por defecto), entonces el formato para ingreso al sitio debe incluir un nuevo campo de token para ingreso. Para detalles sobre los cambios necesarios, vea Token para ingreso. tenga en cuenta que esto también afecta a las ramas estables más recientes.

Actualizaciones a APIs de Componentes

Por favor refiérase a los archivos upgrade.txt en el directorio de componentes relevante para los cambios en esta versión particular de Moodle.

Vea también